<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */


interface IAnmeldedaten
{
  
  public function getEPayInfo();

  
  public function getKurs();

  
  public function getGutscheinId();

  public function getGutscheinNr();

  public function getGutscheinCode();

  
  public function getAbwZahler();

  
  public function getHauptBelegung();

  
  public function getWeitereBelegungen();

  
  public function getWeitereTeilnehmer();

  
  public function getKinder();

  
  public function getZahlungen();

  
  public function getFortlGebuehren();

  
  public function setEPayInfo($pEPayInfo);

  
  public function setKurs($kurs);

  
  public function setGutscheinId($gutscheinId);

  public function setGutscheinCode($gutscheinCode);

  public function setGutscheinNr($gutscheinNr);

  
  public function setAbwZahler($pAbwZahler);

  
  public function setHauptBelegung($hauptBelegung);

  
  public function setWeitereBelegungen($weitereBelegungen);

  
  public function setWeitereTeilnehmer($teilnehmerDaten);

  
  public function setKinder($kinder);

  
  public function setZahlungen($zahlungen);

  
  public function setFortlGebuehren($fortlGebuehren);

  
  public function getDublettenNummern();

  
  public function setDublettenNummern($pDublettenNummern);

  
  public function setDmzFeatureNr($pDmzFeatureNr);

  
  public function getDmzFeatureNr();
}